package com.lanyuanxiaoyao.service.cli.core;

import java.util.HashMap;
import java.util.Map;

/**
 * 服务配置
 *
 * @author lanyuanxiaoyao
 * @date 2023-05-17
 */
public class ServiceInfo {
    private String name;
    private Integer replicas = 0;
    private String sourceJar;
    private Map<String, Object> environments = new HashMap<>();
    private Map<String, Object> arguments = new HashMap<>();

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getReplicas() {
        return replicas;
    }

    public void setReplicas(Integer replicas) {
        this.replicas = replicas;
    }

    public String getSourceJar() {
        return sourceJar;
    }

    public void setSourceJar(String sourceJar) {
        this.sourceJar = sourceJar;
    }

    public Map<String, Object> getEnvironments() {
        return environments;
    }

    public void setEnvironments(Map<String, Object> environments) {
        this.environments = environments;
    }

    public Map<String, Object> getArguments() {
        return arguments;
    }

    public void setArguments(Map<String, Object> arguments) {
        this.arguments = arguments;
    }

    @Override
    public String toString() {
        return "ServiceInfo{" +
                "name='" + name + '\'' +
                ", replicas=" + replicas +
                ", sourceJar='" + sourceJar + '\'' +
                ", environments=" + environments +
                ", arguments=" + arguments +
                '}';
    }
}
